import amqplib from "amqplib";

export let channel: amqplib.Channel;

async function connect(
  RABBITMQ_USERNAME: string,
  RABBITMQ_PASSWORD: string,
  RABBITMQ_HOST: string,
  RABBITMQ_PORT: string
) {
  const open = await amqplib.connect(
    `amqp://${RABBITMQ_USERNAME}:${RABBITMQ_PASSWORD}@${RABBITMQ_HOST}:${RABBITMQ_PORT}`
  );

  if (!open) {
    console.log("RabbitMQ connection failed");
    return;
  }

  channel = await open.createChannel();

  if (!channel) {
    console.log("RabbitMQ channel failed");
    return;
  }
}

export default connect;
